com.threerings.puzzle.drop.client

## Class PieceGroupAnimation

- java.lang.Object
- - com.threerings.media.AbstractMedia
  - - com.threerings.media.animation.Animation
    - - com.threerings.puzzle.drop.client.PieceGroupAnimation

All Implemented Interfaces:
  com.threerings.media.sprite.PathObserver, Shape

    public abstract class PieceGroupAnimation
    extends com.threerings.media.animation.Animation
    implements com.threerings.media.sprite.PathObserver

Animates all the pieces on a puzzle board doing some sort of global effect like all flying into place or out into the ether.

### Field Summary

### Fields inherited from class com.threerings.media.AbstractMedia

`HUD_LAYER`

### Constructor Summary

Constructors
Constructor and Description
`PieceGroupAnimation(DropBoardView view, DropBoard board)` Creates a piece group animation which must be initialized with a subsequent call to `AbstractMedia.init(AbstractMediaManager)`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `paint(Graphics2D gfx)`
`void` `pathCancelled(com.threerings.media.sprite.Sprite sprite, com.threerings.media.util.Path path)`
`void` `pathCompleted(com.threerings.media.sprite.Sprite sprite, com.threerings.media.util.Path path, long when)`
`void` `tick(long tickStamp)`

### Methods inherited from class com.threerings.media.animation.Animation

`addAnimationObserver, isFinished, removeAnimationObserver, reset, setLocation`

### Methods inherited from class com.threerings.media.AbstractMedia

`contains, contains, contains, contains, fastForward, getBounds, getBounds2D, getPathIterator, getPathIterator, getRenderOrder, init, intersects, intersects, invalidate, queueNotification, renderCompareTo, setRenderOrder, toString, viewLocationDidChange`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PieceGroupAnimation

    public PieceGroupAnimation(DropBoardView view,
                               DropBoard board)

Creates a piece group animation which must be initialized with a subsequent call to `AbstractMedia.init(AbstractMediaManager)`.

### Method Detail

#### tick

    public void tick(long tickStamp)

Specified by:
  `tick` in class `com.threerings.media.AbstractMedia`

#### paint

    public void paint(Graphics2D gfx)

Specified by:
  `paint` in class `com.threerings.media.AbstractMedia`

#### pathCancelled

    public void pathCancelled(com.threerings.media.sprite.Sprite sprite,
                              com.threerings.media.util.Path path)

Specified by:
  `pathCancelled` in interface `com.threerings.media.sprite.PathObserver`

#### pathCompleted

    public void pathCompleted(com.threerings.media.sprite.Sprite sprite,
                              com.threerings.media.util.Path path,
                              long when)

Specified by:
  `pathCompleted` in interface `com.threerings.media.sprite.PathObserver`